cURL
curl -X GET "https://api.fitsociety.io/public/v1/bookings/{bookingId}/cancellation-context" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/bookings/{bookingId}/cancellation-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings/{bookingId}/cancellation-context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"cancellationContext": {
"bookingId": "66f7b8b1e13c8d25f4d3d90a",
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"calendarEventId": "66f7b8b1e13c8d25f4d3d90a",
"lessonId": "66f7b8b1e13c8d25f4d3d90a",
"occurrence": {
"isRecurring": true,
"masterEventId": "66f7b8b1e13c8d25f4d3d90a",
"exceptionEventId": "66f7b8b1e13c8d25f4d3d90a",
"instanceDate": "2026-07-14T10:00:00.000Z"
},
"timing": {
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"isPast": true
},
"policy": {
"policy": "string",
"customCancellationPolicyHours": 1,
"eventStartAt": "2026-07-14T10:00:00.000Z",
"evaluatedAt": "2026-07-14T10:00:00.000Z",
"refundEligible": true,
"overridePolicy": true,
"defaultFinancialAction": "string"
},
"financial": {
"defaultAction": "string",
"availableActions": [
"string"
],
"chargeAllowed": true,
"hasCreditUsage": true,
"creditsUsed": 1,
"paymentMethod": "string",
"paymentProcessingStatus": "active"
},
"reasons": [
{
"code": "string",
"label": "string",
"requiresText": true
}
],
"requiresReason": true
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Bookings
Get booking cancellation context
Requires bookings:read.
GET
/
public
/
v1
/
bookings
/
{bookingId}
/
cancellation-context
cURL
curl -X GET "https://api.fitsociety.io/public/v1/bookings/{bookingId}/cancellation-context" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/bookings/{bookingId}/cancellation-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings/{bookingId}/cancellation-context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"cancellationContext": {
"bookingId": "66f7b8b1e13c8d25f4d3d90a",
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"calendarEventId": "66f7b8b1e13c8d25f4d3d90a",
"lessonId": "66f7b8b1e13c8d25f4d3d90a",
"occurrence": {
"isRecurring": true,
"masterEventId": "66f7b8b1e13c8d25f4d3d90a",
"exceptionEventId": "66f7b8b1e13c8d25f4d3d90a",
"instanceDate": "2026-07-14T10:00:00.000Z"
},
"timing": {
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"isPast": true
},
"policy": {
"policy": "string",
"customCancellationPolicyHours": 1,
"eventStartAt": "2026-07-14T10:00:00.000Z",
"evaluatedAt": "2026-07-14T10:00:00.000Z",
"refundEligible": true,
"overridePolicy": true,
"defaultFinancialAction": "string"
},
"financial": {
"defaultAction": "string",
"availableActions": [
"string"
],
"chargeAllowed": true,
"hasCreditUsage": true,
"creditsUsed": 1,
"paymentMethod": "string",
"paymentProcessingStatus": "active"
},
"reasons": [
{
"code": "string",
"label": "string",
"requiresText": true
}
],
"requiresReason": true
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"